#!/bin/bash

echo "Creating directories"
mkdir images
mkdir images/fromvideo
mkdir images/correctresolution
mkdir pbm
mkdir lpbm

echo "Downscaling video"
./downscaleVideo.sh

echo "Converting video frames to png"
./videoToPng.sh

echo "Making pngs be the correct size cause ffmpeg can't figure that out"
convert images/fromvideo/*.png -resize 160x43 -background "rgb(255,255,255)" -extent 160x43 images/correctresolution/thumb.png

echo "Converting png files to pbm files"
python3 png2pbm.py

echo "Converting pbm files to lpbm files"
python3 pbm2lpbm.py
